//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//

package com.ibm.websphere.samples.activitysessions.ASContainerManagedEJB;

/**
 * The Primary Key Class for the ASContainerManagedEJB.  The Priamary Key is
 * based on an int value.
 */

public class ASContainerManagedEJBKey implements java.io.Serializable
{
    static final long serialVersionUID = 3206093459760846163L;
    public int index;
    
    /**
     * Default constructor for ASContainerManagedKey
     */
    public ASContainerManagedEJBKey() 
    {
        
    }

    /**
     * Contructor for ASContainerManagedKey specifying the key value
     * @param argIndex int The key value
     */
    public ASContainerManagedEJBKey(int argIndex) 
    {
        index = argIndex;
    }

    /**
     * This equality method determines if the Object passed in matches this
     * Primary Key.
     * @return boolean Object representing the equality of the passed object.
     */
    public boolean equals(Object o) 
    {
        if (o instanceof ASContainerManagedEJBKey)
        {
            ASContainerManagedEJBKey otherKey = (ASContainerManagedEJBKey) o;
            return(((this.index == otherKey.index)));
        } else
            return false;
    }

    /**
     * This method returns the hash code of a Primary Key.
     * @return int Object representing the hash code of this Primary Key.
     */
    public int hashCode() 
    {
        return((new java.lang.Integer(index).hashCode()));
    }
}
