// ---------------------------------------------------------------------------
//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
//  Change History:
//
// Date       Programmer   Defect    Description
// ----       ----------   ------    -----------
// 02-07-11   hthomann     132573.8  Added copyright statement
// ---------------------------------------------------------------------------

package com.ibm.websphere.samples.workarea.companycontextlibrary;

import java.io.*;

public final class Priority implements Serializable{

  private static final long serialVersionUID = -4005843478007920028L;

  private int __value;
  private String __name;
  private static final int __size = 5;
  private static final Priority[] __array = new Priority [__size];

  private final static String [] __names;


  public static final int _Platinum = 0; 
  public static final Priority Platinum;

  public static final int _Gold = 1; 
  public static final Priority Gold;

  public static final int _Silver = 2; 
  public static final Priority Silver;

  public static final int _Bronze = 3; 
  public static final Priority Bronze;

  public static final int _Tin = 4; 
  public static final Priority Tin;

  static {
    __names = new String[5];

    __names[_Platinum] = "Platinum";
    Platinum = new Priority(_Platinum, __names[_Platinum]);
    __array[_Platinum] = Platinum;

    __names[_Gold] = "Gold";
    Gold = new Priority(_Gold, __names[_Gold]);
    __array[_Gold] = Gold;

    __names[_Silver] = "Silver";
    Silver = new Priority(_Silver, __names[_Silver]);
    __array[_Silver] = Silver;

    __names[_Bronze] = "Bronze";
    Bronze = new Priority(_Bronze, __names[_Bronze]);
    __array[_Bronze] = Bronze;

    __names[_Tin] = "Tin";
    Tin = new Priority(_Tin, __names[_Tin]);
    __array[_Tin] = Tin;

  }

  private void writeObject(ObjectOutputStream out) throws IOException {
    out.writeInt(__value);
  }

  private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException {
    int value = in.readInt();
    if ((value < 0) || (value > 4)) throw new IOException();
    __value = value;
    __name = __names[value];
  }

  protected Priority(int value, String name) {
    __value = value;
    __name = name;
  }

  public String toString() {
    return __name;
  }

  public int toInt() {
    return this.__value;
  }

  public boolean equals (java.lang.Object o) {
    if (o instanceof Priority) {
      if ( ( (Priority) o).__value == __value) {
        return true;
      }
    }
    return false;
  }

  public static Priority fromInt(int i) {
    if ((i < 0) || (i > (__size-1))) {
      return null;
    }
    return __array[i];
  }
}
