//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.appprofile.accountmanagementejb;

/**
 * The Home Interfe for Application Profile Account Management Sample
 * 
 * @author Cheng-chieh (Jerry) Cheng
 * @version 1.0
 * @since 04/15/2002
 */
public interface AccountManagerHome extends javax.ejb.EJBHome
{
    /**
     * This Home Interface Method is responsible for the creation of an AccountManager.
     * 
     * @return AccountManager object created by this method
     * @exception javax.ejb.CreateException
     *                   This exception is thrown to indicate a failure to create the entity EJB.
     * @exception RemoteException
     *                   Signals that a Remote exception of some sort has occurred.
     */
    public AccountManager create() throws javax.ejb.CreateException, java.rmi.RemoteException;
}
