//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.asynchbeans.wstrader.pricegen.ejb;
/**
 * Bean implementation class for Enterprise Bean: RawTickerConfig
 */
public abstract class RawTickerConfigBean implements javax.ejb.EntityBean {
    private javax.ejb.EntityContext myEntityCtx;
    /**
     * setEntityContext
     */
    public void setEntityContext(javax.ejb.EntityContext ctx) {
        myEntityCtx = ctx;
    }
    /**
     * getEntityContext
     */
    public javax.ejb.EntityContext getEntityContext() {
        return myEntityCtx;
    }
    /**
     * unsetEntityContext
     */
    public void unsetEntityContext() {
        myEntityCtx = null;
    }
    /**
     * ejbActivate
     */
    public void ejbActivate() {
    }
    /**
     * ejbCreate method for a CMP entity bean.
     */
    public java.lang.Long ejbCreate(java.lang.Long id) throws javax.ejb.CreateException {
        return null;
    }
    /**
     * ejbLoad
     */
    public void ejbLoad() {
    }
    /**
     * ejbPassivate
     */
    public void ejbPassivate() {
    }
    /**
     * ejbPostCreate
     */
    public void ejbPostCreate(java.lang.Long id) throws javax.ejb.CreateException {
    }
    /**
     * ejbRemove
     */
    public void ejbRemove() throws javax.ejb.RemoveException {
    }
    /**
     * ejbStore
     */
    public void ejbStore() {
    }
    /**
     * Get accessor for persistent attribute: ticker
     */
    public abstract java.lang.String getTicker();
    /**
     * Set accessor for persistent attribute: ticker
     */
    public abstract void setTicker(java.lang.String newTicker);
    /**
     * Get accessor for persistent attribute: startPrice
     */
    public abstract java.lang.Double getStartPrice();
    /**
     * Set accessor for persistent attribute: startPrice
     */
    public abstract void setStartPrice(java.lang.Double newStartPrice);
    /**
     * Get accessor for persistent attribute: tickPeriod
     */
    public abstract java.lang.Long getTickPeriod();
    /**
     * Set accessor for persistent attribute: tickPeriod
     */
    public abstract void setTickPeriod(java.lang.Long newTickPeriod);
    /**
     * Get accessor for persistent attribute: priceDeltaByTick
     */
    public abstract java.lang.Double getPriceDeltaByTick();
    /**
     * Set accessor for persistent attribute: priceDeltaByTick
     */
    public abstract void setPriceDeltaByTick(java.lang.Double newPriceDeltaByTick);
    /**
     * Get accessor for persistent attribute: tickerDecisionRange
     */
    public abstract java.lang.Integer getTickerDecisionRange();
    /**
     * Set accessor for persistent attribute: tickerDecisionRange
     */
    public abstract void setTickerDecisionRange(java.lang.Integer newTickerDecisionRange);
    /**
     * Get accessor for persistent attribute: tickerDownTickRange
     */
    public abstract java.lang.Integer getTickerDownTickRange();
    /**
     * Set accessor for persistent attribute: tickerDownTickRange
     */
    public abstract void setTickerDownTickRange(java.lang.Integer newTickerDownTickRange);
    /**
     * Get accessor for persistent attribute: tickerUpTickRange
     */
    public abstract java.lang.Integer getTickerUpTickRange();
    /**
     * Set accessor for persistent attribute: tickerUpTickRange
     */
    public abstract void setTickerUpTickRange(java.lang.Integer newTickerUpTickRange);
    /**
     * Get accessor for persistent attribute: Id
     */
    public abstract java.lang.Long getId();
    /**
     * Set accessor for persistent attribute: Id
     */
    public abstract void setId(java.lang.Long newId);
}
