<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%--
//-----------------------------------------------------------------------------------
// "This program may be used, executed, copied, modified and distributed without 
// royalty for the purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//-----------------------------------------------------------------------------------
--%>

<%@ page import="java.text.*" %>
<%@ page import="java.util.*" %>
<%@ page import="javax.naming.*" %>

<HTML>
<script language="JavaScript" src="/WSsamples/scripts/browserStyle.js"></script>

<%--
 INTERNATIONALIZATION SERVICE: Imports.
--%>
<%@ page import="com.ibm.websphere.i18n.context.UserInternationalization" %>
<%@ page import="com.ibm.websphere.i18n.context.Internationalization" %>
<%@ page import="com.ibm.websphere.i18n.context.InvocationInternationalization" %>

<%@ page import="com.ibm.websphere.samples.i18nctx.currencyexchangelibrary.AccInfoJBean" %>
<%@ page import="com.ibm.websphere.samples.i18nctx.currencyexchangelibrary.Resources" %>

<%@ page contentType="text/html;charset=UTF-8" %>

<%
  //------------------------------------------------------------
  // INTERNATIONALIZATION SERVICE: API references.
  //------------------------------------------------------------
  UserInternationalization userI18n = null;
  InvocationInternationalization invI18n = null;
  //Internationalization     i18n     = null;

  Locale locale;

  //------------------------------------------------------------
  // INTERNATIONALIZATION SERVICE: JNDI name
  //------------------------------------------------------------
  String i18nURL = "java:comp/websphere/UserInternationalization";

  //Exception message for resolving I18n API
  String excMsg = null;

  //------------------------------------------------------------
  // INTERNATIONALIZATION SERVICE: Resolve the API.
  //------------------------------------------------------------
  try
  {
    Context initialContext = new InitialContext();
    userI18n = (UserInternationalization)initialContext.lookup(i18nURL);
    //i18n = userI18n.getCallerInternationalization();   
    invI18n = userI18n.getInvocationInternationalization();
  }
  catch (NamingException ne)
  {
    excMsg = "Error: Cannot resolve UserInternationalization: Exception:\n" + ne;
	request.setAttribute("excMsg", excMsg);
    RequestDispatcher rd =
            getServletContext().getRequestDispatcher("/error.jsp");
    rd.forward(request, response);
    return;

    //throw new ServletException ("Error: Cannot resolve UserInternationalization: Exception: " + ne);
  }
  catch (IllegalStateException ise)
  {
    excMsg =  "Error: UserInternationalization is not available:\n" + ise;
	request.setAttribute("excMsg", excMsg);
    RequestDispatcher rd =
            getServletContext().getRequestDispatcher("/error.jsp");
    rd.forward(request, response);
    return;

    //throw new ServletException ("Error: UserInternationalization is not available: " + ise);
  }

  //------------------------------------------------------------
  // INTERNATIONALIZATION SERVICE: Get Invocation context/locale
  //------------------------------------------------------------
  try
  {
    locale = invI18n.getLocale(); 
  }
  catch (IllegalStateException ise)
  {
    excMsg =  "An anomaly occurred while accessing Invocation context:\n" + ise;
	request.setAttribute("excMsg", excMsg);
    RequestDispatcher rd =
            getServletContext().getRequestDispatcher("/error.jsp");
    rd.forward(request, response);
    return;

    //throw new ServletException ("Error: UserInternationalization is not available: " + ise);
  }

  //If the locale is not supported in this application, set it to US locale by default
  if(!AccInfoJBean.isMyLocale(locale))
    locale = new Locale("en", "US");

  // NOTE: Browsers may propagate accept-languages that contain a language code, 
  // but lack a country code, like "fr" to indicate "French as spoken in France."  
  // The following code supplies a default country code in such cases.
  if (locale.getCountry().equals(""))
    locale = AccInfoJBean.getCompleteLocale(locale);

  String errors = (String) request.getAttribute("error");
              
  //NumberFormat nf = NumberFormat.getCurrencyInstance(locale);
  NumberFormat f = NumberFormat.getNumberInstance();
  f.setMaximumFractionDigits(5);
  NumberFormat f2 = NumberFormat.getNumberInstance();
  f2.setMaximumFractionDigits(2);
  
  //use locale to set resource bundle
  Resources.setResourceBundle(locale);
   
  //localize text
  String[] localizeStr = {
    "TITLE2",        //localizeStr[0]
    "TITLE",         //localizeStr[1]
    "EXCRATES",      //localizeStr[2]
    "NAME",          //localizeStr[3]
    "ACCOUNT",       //localizeStr[4]
    "BALANCE",       //localizeStr[5]
    "CURRENCY",      //localizeStr[6]
    "TOUS",          //localizeStr[7]
    "FROMUS",        //localizeStr[8]
    "ITL",           //localizeStr[9]
    "FRF",           //localizeStr[10]
    "DEM",           //localizeStr[11]
    "ESP",           //localizeStr[12]
    "GBP",           //localizeStr[13]
    "PTE",           //localizeStr[14]
    "JPY",           //localizeStr[15]
    "KRW",           //localizeStr[16]
    "CNY",           //localizeStr[17]
    "TITLE4",        //localizeStr[18]
    "PROMPT1",       //localizeStr[19]
    "PROMPT2",       //localizeStr[20]
    "EXCHANGE",      //localizeStr[21]
    "TITLE5",        //localizeStr[22]
    "PROMPT3",       //localizeStr[23]
    "MSG4",          //localizeStr[24]
	"PROMPT5" };     //localizeStr[25]

  //Message keys passed to resource bundle
  String[] MSGKEYS = {
    "TITLE2",
    "TITLE",
    "EXCRATES",
    "NAME",
    "ACCOUNT",
    "BALANCE",
    "CURRENCY",
    "TOUS",
    "FROMUS",
    "ITL",
    "FRF",
    "DEM",
    "ESP",
    "GBP",
    "PTE",
    "JPY",
    "KRW",
    "CNY",
    "TITLE4",
    "PROMPT1",
    "PROMPT2",
    "EXCHANGE",
    "TITLE5",
    "PROMPT3",
    "MSG4",
	"PROMPT5"};
    
  localizeStr = Resources.getMsgs(MSGKEYS);
%>

<%! 
  String  getSymbol(java.util.Locale myLocale)
  {
    String  currencySymbol = null;
    NumberFormat numberFormat = NumberFormat.getCurrencyInstance(myLocale);
    currencySymbol = ((DecimalFormat)numberFormat).getDecimalFormatSymbols().getCurrencySymbol();
    return currencySymbol;
  }
         
 %>
 
 <%! 
  double getFromUSRate(int i) 
  {
    double [] rates = Resources.getRates();
    return rates[i];
  }
 %>

<%! 
  double getToUSRate(int i) 
  {
    double [] rates = Resources.getRates();
    return 1.0/rates[i];
  }
%>


<HEAD>
  <TITLE><%=localizeStr[0]%></TITLE>
</HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html;charset=UTF-8">
<body>
 <img src="banner.jpg" valign="top"  alt="banner image">
  <H2><font color="blue"><%=localizeStr[1] %></font></H2> <font size =4 color = "red">
  <HR>
  <B><i><% if(errors !=null) out.println(errors);%> </font></i></B>
    
  <%-- The AccInfoJBean is passed in the request. --%>
  <jsp:useBean id="customerInfo" class="com.ibm.websphere.samples.i18nctx.currencyexchangelibrary.CustomerJBean" scope="request" />

  <TABLE border=0 cellspacing =20>
    <TBODY>
    <TR>
      <TH align="center" id="account"><B><%=localizeStr[0] %></B></TH>
      <TH align="center" id="rates"><B><%=localizeStr[2] %></B></TH>
    </TR>
    <TR>
      <TD align="left" valign="top" headers="account">
        <TABLE border=3 cellpadding =2 cellspacing =0>
          <TBODY>
          <TR>
            <TH align="left"><%=localizeStr[3] %></TH>
            <TD><%= customerInfo.getName()  %></TD>
          </TR>
          <TR>
            <TH align="left"><%=localizeStr[4] %></TH>
            <TD><%= customerInfo.getAccount() %></TD>
          </TR>
          <TR>
            <TH align="left"><%=localizeStr[5] %></TH>
            <TD>$<%= f2.format(customerInfo.getBalance()) %></TD>
          </TR>
    </TBODY>
        </TABLE>
      </TD>
      <TD align="left" valign="top" headers="rates">
        <TABLE border=3 cellspacing=2 cellpadding=0>
          <TBODY>
          <TR>
            <TH align="left" id="c1"><font><%=localizeStr[6] %></font></TH>
            <TH align="left" id="c2"><font><%=localizeStr[7] %></font></TH>
            <TH align="left" id="c3"><font><%=localizeStr[8] %></font></TH>
          </TR>
          <TR>
            <TD align="left" headers="c1"><%=localizeStr[9] %>&nbsp;<font color="blue"><%=getSymbol(Locale.ITALY) %></font></TD>
            <TD><%= f.format(getToUSRate(0)) %></TD>
            <TD><%= f.format(getFromUSRate(0)) %></TD>
          </TR>
          <TR>
            <TD align="left"><%=localizeStr[10] %>&nbsp;<font color="blue"><%=getSymbol(Locale.FRANCE) %></font></TD>
            <TD headers="c2"><%= f.format(getToUSRate(1)) %></TD>
            <TD headers="c3"><%= f.format(getFromUSRate(1)) %></TD>
          </TR>
          <TR>
            <TD align="left"><%=localizeStr[11] %>&nbsp;<font color="blue"><%=getSymbol(Locale.GERMANY) %></font></TD>
            <TD><%= f.format(getToUSRate(2)) %></TD>
            <TD><%= f.format(getFromUSRate(2)) %></TD>
          </TR>
          <TR>
            <TD align="left" headers="c1"><%=localizeStr[12] %>&nbsp;<font color="blue"><%=getSymbol(new Locale("es", "ES")) %></font></TD>
            <TD headers="c2"><%= f.format(getToUSRate(3)) %></TD>
            <TD headers="c3"><%= f.format(getFromUSRate(3)) %></TD>
          </TR>
          <TR>
            <TD align="left" headers="c1"><%=localizeStr[13] %>&nbsp;<font color="blue"><%=getSymbol(Locale.UK) %></font></TD>
            <TD headers="c2"><%= f.format(getToUSRate(4)) %></TD>
            <TD headers="c3"><%= f.format(getFromUSRate(4)) %></TD>
          </TR>
          <TR>
            <TD align="left" headers="c1"><%=localizeStr[14] %>&nbsp; <font color="blue"><%=getSymbol(new Locale("pt", "BR")) %></font></TD>
            <TD headers="c2"><%= f.format(getToUSRate(5)) %></TD>
            <TD headers="c3"><%= f.format(getFromUSRate(5)) %></TD>
          </TR>
          <TR>
            <TD align="left" headers="c1"><%=localizeStr[15] %>&nbsp;<font color="blue"><%=getSymbol(Locale.JAPAN) %></font></TD>
            <TD headers="c2"><%= f.format(getToUSRate(6)) %></TD>
            <TD headers="c3"><%= f.format(getFromUSRate(6)) %></TD>
          </TR>
          <TR>
            <TD align="left" headers="c1"><%=localizeStr[16] %>&nbsp;<font color="blue"><%=getSymbol(Locale.KOREA) %></font></TD>
            <TD headers="c2"><%= f.format(getToUSRate(7)) %></TD>
            <TD headers="c3"><%= f.format(getFromUSRate(7)) %></TD>
          </TR>
          <TR>
            <TD align="left" headers="c1"><%=localizeStr[17] %>&nbsp;<font color="blue"><%=getSymbol(Locale.CHINA) %></font></TD>
            <TD headers="c2"><%= f.format(getToUSRate(8)) %></TD>
            <TD headers="c3"><%= f.format(getFromUSRate(8)) %></TD>
          </TR>
          </TBODY>
        </TABLE>
      </TD>
    </TR>
    </TBODY>
  </TABLE>
  <HR>

<table border="0" cell padding=2 cellspacing="10">
<td>
  <H3><font color="blue"><%=localizeStr[18] %></font></H3>
  <table border=0 cellpadding=2 cellspacing=0>

    <form method="post" action="/i18nctxSample/CurrencyServlet">
      <input name = "command" type = "hidden" value = "buyother">
	   <tr>
        <label>
	    <td align="right"><%=localizeStr[20] %></td>
        <td><input name="usamount" size=12 maxlength=20></td>
        </label>
      </tr>

      <tr>
	  <label>
        <td align="left" valign="top"><LABEL for="currency"><%=localizeStr[19] %></LABEL></td>
        <td>
          <SELECT name="currency">
            <OPTION VALUE="en_GB"><%=localizeStr[13] %>&nbsp; <%=getSymbol(Locale.UK) %></OPTION>
            <OPTION VALUE="de_DE" selected><%=localizeStr[11] %>&nbsp; <%=getSymbol(Locale.GERMANY) %></OPTION>
            <OPTION VALUE="fr_FR"><%=localizeStr[10] %>&nbsp; <%=getSymbol(Locale.FRANCE) %></OPTION>
            <OPTION VALUE="ja_JP"><%=localizeStr[15] %>&nbsp; <%=getSymbol(Locale.JAPAN) %></OPTION>
            <OPTION VALUE="it_IT"><%=localizeStr[9] %>&nbsp; <%=getSymbol(Locale.ITALY) %></OPTION>
            <OPTION VALUE="zh_CN"><%=localizeStr[17] %>&nbsp; <%=getSymbol(Locale.CHINA) %></OPTION>
            <OPTION VALUE="ko_KR"><%=localizeStr[16] %>&nbsp; <%=getSymbol(Locale.KOREA) %></OPTION>
            <OPTION VALUE="pt_BR"><%=localizeStr[14] %>&nbsp; <%=getSymbol(new Locale("pt", "BR")) %></OPTION>
            <OPTION VALUE="es_ES"><%=localizeStr[12] %>&nbsp; <%=getSymbol(new Locale("es", "ES")) %></OPTION>
          </SELECT>
        </td>
		</label>
      
        <td>
          <input type="submit" value="<%=localizeStr[21] %>">
        </td>
      </tr>

    </form>
  </table>
</td>
<td>
  <H3><font color="blue"><%=localizeStr[22] %></font></H3>
  <table border=0 cellpadding=2 cellspacing=0>

    <form method="post" action="/i18nctxSample/CurrencyServlet">
      <input name = "command" type = "hidden" value = "buyusd">

      <tr>
	    <label>
        <td align="left" valign="top"><LABEL for="currency"><%=localizeStr[25] %></LABEL></td>
        <td>
          <SELECT name="currency">
            <OPTION VALUE="en_GB"><%=localizeStr[13] %>&nbsp; <%=getSymbol(Locale.UK) %></OPTION>
            <OPTION VALUE="de_DE" selected><%=localizeStr[11] %>&nbsp; <%=getSymbol(Locale.GERMANY) %></OPTION>
            <OPTION VALUE="fr_FR"><%=localizeStr[10] %>&nbsp; <%=getSymbol(Locale.FRANCE) %></OPTION>
            <OPTION VALUE="ja_JP"><%=localizeStr[15] %>&nbsp; <%=getSymbol(Locale.JAPAN) %></OPTION>
            <OPTION VALUE="it_IT"><%=localizeStr[9] %>&nbsp; <%=getSymbol(Locale.ITALY) %></OPTION>
            <OPTION VALUE="zh_CN"><%=localizeStr[17] %>&nbsp; <%=getSymbol(Locale.CHINA) %></OPTION>
            <OPTION VALUE="ko_KR"><%=localizeStr[16] %>&nbsp; <%=getSymbol(Locale.KOREA) %></OPTION>
            <OPTION VALUE="pt_BR"><%=localizeStr[14] %>&nbsp; <%=getSymbol(new Locale("pt", "BR")) %></OPTION>
            <OPTION VALUE="es_ES"><%=localizeStr[12] %>&nbsp; <%=getSymbol(new Locale("es", "ES")) %></OPTION>
          </SELECT>
        </td>
		</label>
      </tr>
      <tr>
	    <label>
        <td align="left"><%=localizeStr[23] %></td>
        <td>
          <input name="otheramount" size=12 maxlength=20>
		  </label>
          <input type="submit" value="<%=localizeStr[21] %>">
        </td>
      </tr>
    </form>
  </table>
  </td>
  </tr>
  </table>
<HR>
<B><A href="login.jsp"><%=localizeStr[24] %></A>
</BODY>

</HTML>