//-----------------------------------------------------------------------------------
// "This program may be used, executed, copied, modified and distributed without 
// royalty for the purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//-----------------------------------------------------------------------------------

package com.ibm.websphere.samples.i18nctx.currencyexchangeejb;

import javax.ejb.EJBLocalObject;
import javax.ejb.EJBException;

/**
 * A Local Enterprise Java Bean.
 */
public interface LocalCustomer extends EJBLocalObject {

    // Local Interface for access methods
    java.lang.String getAccount ();
    double getBalance ();
    java.lang.String getName ();
    java.lang.String getPassword ();
   
    /*
     * All set methods are hidden from the bean's clients.
     */

    // Local Interface for business methods
    void deposit (double depositAmt) throws EJBException;
    void withdraw (double withdrawAmt) throws EJBException;
}
