//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.ejbquery.employeefinderejb;

import java.rmi.RemoteException;
import javax.ejb.*;
import java.math.*;

/**
 * The Remote Interface Business Methods for the Dept CMP Sample.
 */

public interface Dept extends javax.ejb.EJBObject {
 /**
 * This Remote method gets the deptno CMP attribute for a Dept.
 * @return java.lang.Integer
   * @exception java.rmi.RemoteException   Signals that a Remote exception can occur.
 */
   Integer getDeptno() throws java.rmi.RemoteException;

 /**
 * This Remote method gets the name CMP attribute for a Dept.
 * @return java.lang.String
   * @exception java.rmi.RemoteException   Signals that a Remote exception can occur.
 */
   String getName() throws java.rmi.RemoteException;

 /**
 * This Remote method sets the name CMP attribute for a Dept.
 * @param name java.lang.String
 * @exception java.rmi.RemoteException   Signals that a Remote exception can occur.
 */
   void setName(String name) throws java.rmi.RemoteException;

 /**
 * This Remote method gets the budget CMP attribute for a Dept.
 * @return double
 * @exception java.rmi.RemoteException   Signals that a Remote exception can occur.
 */
   double getBudget() throws java.rmi.RemoteException;

 /**
 * This Remote method sets the budget CMP attribute for a Dept.
 * @param budget double
 * @exception java.rmi.RemoteException   Signals that a Remote exception can occur.
 */
   void setBudget(double budget) throws java.rmi.RemoteException;

 /**
 * add1 method returns deptno + 1. <BR><BR>
 * eg. select e.add1() from DeptBean e <BR>
 * <strong>WARNING.</strong>&nbsp For methods to work, the server's "Application classloader policy" must be set to "Single".  The default is "Multiple" which can be reset using the Administrative Console.
 *
 * @return int
 * @exception java.rmi.RemoteException   Signals that a Remote exception can occur.
 */
   public int add1() throws java.rmi.RemoteException;


}
