//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.ejbquery.employeefinderejb;

import java.io.*;

/**
 * The Primary Key Class for the CMP Dept entity bean.
 **/

public class DeptKey implements Serializable {

   // Attributes of a Dept Primary Key.

/**
 * The deptno attribute for Dept Primary Key.
 * Implemetation field for persistent attribute: id
 */
	public Integer deptno;

/**
 * Default constructor for Dept Primary Key.
 */
	public DeptKey() {
	}

/**
 * Constructor for Dept Primary Key specified by deptno.
 * @param deptno java.lang.Integer
 */
	public DeptKey(Integer deptno) {
		this.deptno = deptno;
	}

/**
 * This equality method determines if the Object passed in matches this
 * Primary Key.
 * @return boolean Object representing the equality of the passed object.
 * @return boolean
 */
	public boolean equals(java.lang.Object otherKey) {
		if (otherKey instanceof   DeptKey) {
			DeptKey o = 	(DeptKey)otherKey;
			return this.deptno.equals(o.deptno);
		}
		return false;
	}
/**
 * This method returns the hash code of a Primary Key.
 * @return int Object representing the hash code of this Primary Key.
 */
	public int hashCode() {
 // This assumes that the key can not be null...
            return (deptno.hashCode());
	}
}
