//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.ejbquery.employeefinderejb;
import java.sql.*;
import java.math.*;

/**
 * The Local Interface Business Methods for the Dept CMP Sample.
 */

public interface DeptLocal extends javax.ejb.EJBLocalObject {
 /**
 * This Local method gets the deptno CMP attribute for a Dept.
 * @return java.lang.Integer
  */
   Integer getDeptno() ;

 /**
 * This Local method gets the name CMP attribute for a Dept.
 * @return java.lang.String
  */
   String getName() ;

 /**
 * This Local method sets the name CMP attribute for a Dept.
 * @param name java.lang.String
  */
   void setName(String name) ;

 /**
 * This Local method gets the budget CMP attribute for a Dept.
 * @return double
  */
   double getBudget() ;

 /**
 * This Local method sets the budget CMP attribute for a Dept.
 * @param budget double
   */
  void setBudget(double budget) ;

 /**
 * This Local method returns deptno + 1
 * @return int
   */
  public int add1() ;


}
