//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.scheduler.accountreportejb;

import java.rmi.RemoteException;
import java.util.Collection;

import javax.ejb.CreateException;
import javax.ejb.EJBHome;
import javax.ejb.FinderException;

/**
 * Home interface for the AccountReport EJB
 */
public interface AccountReportHome extends EJBHome
{
    AccountReport create(Long key) throws CreateException,RemoteException;
    AccountReport create() throws CreateException,RemoteException;
    Collection findAllReports() throws FinderException,RemoteException;
    AccountReport findByPrimaryKey(Long key) throws FinderException,RemoteException;
}
