//
// "This sample program is provided AS IS and may be used, executed, copied and modified without royalty payment by customer (a) for its own 
// instruction and study, (b) in order to develop applications designed to run with an IBM WebSphere product, either for customer's own internal use 
// or for redistribution by customer, as part of such an application, in customer's own products. "
//
//Product 5630-A36,  (C) COPYRIGHT International Business Machines Corp., 2001, 2004
//All Rights Reserved * Licensed Materials - Property of IBM
//

package com.ibm.websphere.samples.technologysamples.ejb.stateless.basiccalculatorejb;

import javax.ejb.EJBHome;
import javax.ejb.CreateException;
import java.rmi.RemoteException;

/**
 * Home interface for BasicCalculator stateless session bean.
 */
public interface BasicCalculatorHome extends EJBHome {

	/**
	 * Creates an instance of the BasicCalculator EJB object
	 *
	 * @return BasicCalculator The BasicCalculator EJB object
	 * @throws java.rmi.RemoteException If there is a remote communication failure
	 * @throws javax.ejb.CreateException BasicCalculator EJB object was not created
	 */
	public BasicCalculator create ( ) throws CreateException, RemoteException;

}