<!-- 
"This sample program is provided AS IS and may be used, executed, copied and
modified without royalty payment by customer (a) for its own instruction and
study, (b) in order to develop applications designed to run with an IBM
WebSphere product, either for customer's own internal use or for redistribution
by customer, as part of such an application, in customer's own products."

Product 5724i63, (C) COPYRIGHT International Business Machines Corp., 2004
All Rights Reserved * Licensed Materials - Property of IBM
-->

<!-- Include the JSTL core tag library -->
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
<%@ page 
language="java"
contentType="text/html; charset=ISO-8859-1"
pageEncoding="ISO-8859-1"
%>

<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<META name="GENERATOR" content="IBM WebSphere Studio">
<META http-equiv="Content-Style-Type" content="text/css">

<script language="JavaScript" src="/TechnologySamples/docs/scripts/browser_detection.js"></script>

<TITLE>Security - JAAS Login Sample</TITLE>
</HEAD>
<BODY leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<img src="/TechnologySamples/docs/images/success_banner.jpg" alt="Samples Gallery">

<table cellpadding="5" cellspacing="5">
  <tbody><tr>
   <td><h1 class="sampjsp">Security - JAAS Login Sample</h1></td>
  </tr>
</tbody></table>

<hr width="100%">

<table width="600" cellpadding="5" cellspacing="0" border="0">
  <tbody><tr>
    <td width="1%"></td>
    <td width="99%">

      <!-- JAAS Authentication -->
      <font face="arial" size="-1" color="#009900">
        <b>JAAS authentication succeeded.</b><br>
      </font>

      <!-- get principals and display -->
      <c:set var="principals" value="${requestScope.Principals}" />
      <c:choose>
        <c:when test="${!empty principals}">
          <br>The authenticated user has the following principals:
          <ul>
            <!--  loop through all principals -->
            <c:forEach items="${principals}" var="curPrincipals">
              <c:out value="${curPrincipals}" /><br>
            </c:forEach> 
          </ul>
        </c:when>
        <c:otherwise>
          <img src="images/Error.gif" width="13" height="13" 
               alt="Important Information">
          <font color="#990000" class="t6" size="2" face="geneva,arial">&nbsp;
            ERROR: no principals associated with the Subject.<br>
          </font>
        </c:otherwise>
      </c:choose>

      <!-- get credentials and display -->
      <c:set var="credentials" value="${requestScope.Credentials}" />
      <c:choose>
        <c:when test="${!empty credentials}">
          <br>The authenticated user has the following public credentials:
          <ul>
            <!-- loop through all credentials -->
            <c:forEach items="${credentials}" var="curCredentials">
              <c:out value="${curCredentials}" /><br>
            </c:forEach> 
          </ul>
        </c:when>
        <c:otherwise>
          <img src="images/Error.gif" width="13" height="13"
               alt="Important Information">
          <font color="#990000" class="t6" size="2" face="geneva,arial">&nbsp;
            ERROR: no public credentials associated with the Subject.<br>
          </font>
        </c:otherwise>
      </c:choose>

      <hr width="100%">
      <!-- JAAS Authorization -->
      <c:set var="errMsg" value="${requestScope.ERR_MSG}" />
      <c:choose>
        <c:when test="${empty errMsg}">
          <!-- display the principals of the caller of the SampleBean EJB -->
          <font face="arial" size="-1" color="#009900">
            <b>JAAS authorization succeeded.</b><br>
          </font>
          <br>The caller of the SampleBean stateless session bean has
              the following principals:
          <ul>
            <c:out value="${requestScope.EJB_MSG}" />
          </ul>
        </c:when>
        <c:otherwise>
          <img src="images/Error.gif" width="13" height="13" alt="Important Information">
          <font color="#990000" class="t6" size="2" face="geneva,arial">&nbsp;
            <b>Authorization for the JAAS Sample failed</b><br>
          </font>
          <ul>
            <c:out value="${errMsg}" />
          </ul>
        </c:otherwise>
      </c:choose>

      <hr width="100%">
      <br>
      <form method="POST" action="/TechnologySamples/JAASLogin/login.jsp">
        Click <input type="submit" name="Submit" value="Log In"> to rerun the Sample.
      </form>
    </td>
  </tr></tbody>
</table>

</BODY>
</HTML>
