<!-- 
"This sample program is provided AS IS and may be used, executed, copied and modified without royalty payment by customer (a) for its own 
instruction and study, (b) in order to develop applications designed to run with an IBM WebSphere product, either for customer's own internal use 
or for redistribution by customer, as part of such an application, in customer's own products."

Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2004
All Rights Reserved * Licensed Materials - Property of IBM
-->


<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ page 
language="java"
contentType="text/html; charset=UTF-8"
pageEncoding="ISO-8859-1"
%>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<script>
function verifyAlbumsForm(AlbumsForm)
{
	var elementsLen = AlbumsForm.elements.length;	
	var isAnAlbumSelected = false;
	
	for( i=0 ; i < elementsLen ; i++) 
	{		
		if((AlbumsForm.elements[i].name == "selectedAlbumIndex") && (AlbumsForm.elements[i].checked)) 
		{		
			isAnAlbumSelected = true;
		}
    }
	
	if(!isAnAlbumSelected)
    {
        alert("Please select at least one Album");
        return false;    
    }	
        
    return true;
}

</script>

<jsp:include page="AlbumCatalog.jsp"/>

<c:out value="${message}" escapeXml="false"/>

<c:choose>
	<c:when test="${empty albumRootDO.ALBUM}">
		<c:if test="${(lastOp == 'Find Albums') || (lastOp == 'Find Albums By Band And Year') }">
			<FONT color="RED"> No Albums found </FONT>
		</c:if>
	</c:when>
	<c:otherwise>
		<hr>
		<h3> Albums: </h3><br>
		<FORM name="AlbumsForm" METHOD="GET" ACTION="/AlbumCatalogWeb/AlbumCatalogServlet" onsubmit="return verifyAlbumsForm(this);">
			<TABLE>
	
				<COLGROUP>
					<COL WIDTH="10">
					<COL WIDTH="100">
					<COL WIDTH="100">
					<COL WIDTH="25">
					<COL WIDTH="35">
					<COL WIDTH="300">
				</COLGROUP>
				<TBODY>
					<TR>
						<TH>Select</TH>
						<TH>Band Name</TH>
						<TH>Album Name</TH>
						<TH>Album Year</TH>
						<TH>Recommended Tracks </TH>					
					</TR>
				
				<c:forEach items="${albumRootDO.ALBUM}" var="albumDataObject" varStatus="albumCount">
					<TR>
						<TD> <INPUT type="checkbox" name="selectedAlbumIndex" value="<c:out value='${albumCount.index}'/>"/> </TD>
						<TD> <c:out value="${albumDataObject.BANDNAME}"/> </TD>
						<TD> <c:out value="${albumDataObject.ALBUMNAME}"/> </TD>
						<TD> <c:out value="${albumDataObject.ALBUMYEAR}"/> </TD>
						<TD> <INPUT type="TEXT" name="recommendedTracks" size="50" value="<c:out value='${albumDataObject.RECOMMENDEDTRACKS}'/>"/> </TD>	
					</TR>
				</c:forEach>		
	
				</TBODY>
	
			</TABLE>			
			<BR>			
			<INPUT TYPE="SUBMIT" name="operation" value="Update Albums" onClick='AlbumsForm.operation.value="Update Albums";return true'> 
			<INPUT TYPE="SUBMIT" name="operation" value="Delete Albums" onClick='AlbumsForm.operation.value="Delete Albums";return true'> 
		</FORM>
	</c:otherwise>
</c:choose>
