//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//

package com.ibm.websphere.samples.activitysessions.ASContainerManagedEJB;

/**
 * The Remote Interface Buisness Methods for the ActivitySessions
 * Container Managed CMP Sample.
 */
public interface ASContainerManagedEJB extends javax.ejb.EJBObject
{
    /**
     * Getter method for index
     * @return int
     * @exception java.rmi.RemoteException Signals that a Remote exception of
     *            some sort has occurred.
     */
    int getIndex() throws java.rmi.RemoteException;


    /**
     * Getter method for value
     * @return int
     * @exception java.rmi.RemoteException Signals that a Remote exception of
     *            some sort has occurred.
     */
    int getValue() throws java.rmi.RemoteException;

    /**
     * Setter method for value
     * @param newValue int
     * @exception java.rmi.RemoteException Signals that a Remote exception of
     *            some sort has occurred.
     */
    void setValue(int newValue) throws java.rmi.RemoteException;

    /**
     * Getter method for hitCount
     * @return int
     * @exception java.rmi.RemoteException Signals that a Remote exception of
     *            some sort has occurred.
     */
    int getHitCount() throws java.rmi.RemoteException;

    /**
     * Increments the variable hitCount
     * @exception java.rmi.RemoteException Signals that a Remote exception of
     *            some sort has occurred.
     */
    void incrementHitCount() throws java.rmi.RemoteException;

}
