//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//

package com.ibm.websphere.samples.activitysessions.ASContainerManagedEJB;

/**
 * This is a Home interface for the ActivitySessions Sample ASContainerManagedEJB Bean
 */
public interface ASContainerManagedEJBHome extends javax.ejb.EJBHome
{

    /**
     * This Home Interface Method is used to create an ASContextManagedEJB
     * @return com.ibm.websphere.samples.activitysessions.ASContainerManagedEJB
     * @exception javax.ejb.CreateException. This exception is thrown to 
     *            indicate a failure to create the entity EJB.
     * @exception java.rmi.RemoteException Signals that a Remote exception of
     *            some sort has occurred.
     */
    com.ibm.websphere.samples.activitysessions.ASContainerManagedEJB.ASContainerManagedEJB create(int index) throws javax.ejb.CreateException, java.rmi.RemoteException;

    /**
     * This Home Interface Method is used to find an ASContextManagedEJB by its primary
     * key.
     * @return com.ibm.websphere.samples.activitysessions.ASContainerManagedEJB
     * @param key com.ibm.websphere.samples.activitysessions.ASContainerManagedEJBKey
     * @exception java.rmi.RemoteException.  This exception is thrown to 
                  indicate some sort of remote exception occurred.
     * @exception javax.ejb.FinderException. This exception is thrown to 
     *            indicate a failure to find the entity EJB.
     */
    com.ibm.websphere.samples.activitysessions.ASContainerManagedEJB.ASContainerManagedEJB findByPrimaryKey(com.ibm.websphere.samples.activitysessions.ASContainerManagedEJB.ASContainerManagedEJBKey key) throws java.rmi.RemoteException, javax.ejb.FinderException;
}
