// ---------------------------------------------------------------------------
//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
//  Change History:
//
// Date       Programmer   Defect    Description
// ----       ----------   ------    -----------
// 02-07-11   hthomann     132573.8  Added copyright statement
// ---------------------------------------------------------------------------

package com.ibm.websphere.samples.workarea.companycontextlibrary;


import java.io.*;

public final class Company implements Serializable{

  private static final long serialVersionUID = -4005843478007920028L;

  private int __value;
  private String __name;
  private static final int __size = 5;
  private static final Company[] __array = new Company [__size];

  private final static String [] __names;

  public static final int _Main = 0; 
  public static final Company Main;

  public static final int _NewYork_Sales = 1; 
  public static final Company NewYork_Sales;

  public static final int _NewYork_Development = 2; 
  public static final Company NewYork_Development;

  public static final int _London_Sales = 3; 
  public static final Company London_Sales;

  public static final int _London_Development = 4; 
  public static final Company London_Development;

  static {
    __names = new String[5];

    __names[_Main] = "Main office";
    Main = new Company(_Main, __names[_Main]);
    __array[_Main] = Main;

    __names[_NewYork_Sales] = "New York: Sales";
    NewYork_Sales = new Company(_NewYork_Sales, __names[_NewYork_Sales]);
    __array[_NewYork_Sales] = NewYork_Sales;

    __names[_NewYork_Development] = "New York: Development";
    NewYork_Development = new Company(_NewYork_Development, __names[_NewYork_Development]);
    __array[_NewYork_Development] = NewYork_Development;

    __names[_London_Sales] = "London: Sales";
    London_Sales = new Company(_London_Sales, __names[_London_Sales]);
    __array[_London_Sales] = London_Sales;

    __names[_London_Development] = "London: Development";
    London_Development = new Company(_London_Development, __names[_London_Development]);
    __array[_London_Development] = London_Development;

  }

  private void writeObject(ObjectOutputStream out) throws IOException {
    out.writeInt(__value);
  }

  private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException {
    int value = in.readInt();
    if ((value < 0) || (value > 4)) throw new IOException();
    __value = value;
    __name = __names[value];
  }

  protected Company(int value, String name) {
    __value = value;
    __name = name;
  }

  public String toString() {
    return __name;
  }

  public int toInt() {
    return this.__value;
  }

  public boolean equals (java.lang.Object o) {
    if (o instanceof Company) {
      if ( ( (Company) o).__value == __value) {
        return true;
      }
    }
    return false;
  }

  public static Company fromInt(int i) {
    if ((i < 0) || (i > (__size-1))) {
      return null;
    }
    return __array[i];
  }
}
