//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.asynchbeans.wstrader.applet;

/**
 * Simple Notification class that encapuslates notification information.
 */
public class Notification 
{
    private String type;
    private Object source;
    private Object userData;
    
    public static String NOTIFICATION_LOGIN = "Login";
    public static String NOTIFICATION_LOGOUT = "Logout";
    public static String NOTIFICATION_UPDATE = "Update";
    public static String NOTIFICATION_STATUS = "Status";
    public static String NOTIFICATION_PING = "Ping";
    public static String NOTIFICATION_PRICEUPDATE = "PriceUpdate";
    
    Notification(String type, Object source)
    {
        this.type = type;
        this.source = source;
    }
    
    String getType()
    {
        return type;
    }
    
    Object getSource()
    {
        return source;
    }
    
    void setUserData(Object userData)
    {
        this.userData = userData;
    }
    
    Object getUserData()
    {
        return userData;
    }
}
