//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.asynchbeans.wstrader.applet;

/**
 * A simplified interface for handling the broadcasting of asynchronous events
 */
public interface NotificationBroadcaster
{
    /**
     * Register a listener to this broadcaster.
     */
    public void addNotificationListener(NotificationListener listener);
    
    /**
     * Remove the specified listener from this broadcaster.
     */
    public void removeNotificationListener(NotificationListener listener);
}
