<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%--
//-----------------------------------------------------------------------------------
// "This program may be used, executed, copied, modified and distributed without 
// royalty for the purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//-----------------------------------------------------------------------------------
--%>

<%@ page import="java.text.*" %>
<%@ page import="java.util.*" %>
<%@ page import="javax.naming.*" %>

<HTML>

<script language="JavaScript" src="/WSsamples/scripts/browserStyle.js"></script>

<%--
 INTERNATIONALIZATION SERVICE: Imports.
--%>
<%@ page import="com.ibm.websphere.i18n.context.UserInternationalization" %>
<%@ page import="com.ibm.websphere.i18n.context.Internationalization" %>
<%@ page import="com.ibm.websphere.i18n.context.InvocationInternationalization" %>

<%@ page import="com.ibm.websphere.samples.i18nctx.currencyexchangelibrary.AccInfoJBean" %>
<%@ page import="com.ibm.websphere.samples.i18nctx.currencyexchangelibrary.Resources" %>

<%@ page contentType="text/html;charset=UTF-8" %>

<%
  //------------------------------------------------------------
  // INTERNATIONALIZATION SERVICE: API references.
  //------------------------------------------------------------
  UserInternationalization userI18n = null;
  InvocationInternationalization invI18n = null;
  //Internationalization     i18n     = null;

  Locale locale;

  //------------------------------------------------------------
  // INTERNATIONALIZATION SERVICE: JNDI name
  //------------------------------------------------------------
  String i18nURL = "java:comp/websphere/UserInternationalization";

  //Exception message for resolving I18n API
  String excMsg = null;

  
  //------------------------------------------------------------
  // INTERNATIONALIZATION SERVICE: Resolve the API.
  //------------------------------------------------------------
  try
  {
	Context initialContext = new InitialContext();
    userI18n = (UserInternationalization)initialContext.lookup(i18nURL);
    //i18n = userI18n.getCallerInternationalization();   
    invI18n = userI18n.getInvocationInternationalization();
  }
  catch (NamingException ne)
  {
    excMsg = "Error: Cannot resolve UserInternationalization: Exception:\n" + ne;
	request.setAttribute("excMsg", excMsg);
    RequestDispatcher rd =
            getServletContext().getRequestDispatcher("/error.jsp");
    rd.forward(request, response);
    return;

    //throw new ServletException ("Error: Cannot resolve UserInternationalization: Exception: " + ne);
  }
  catch (IllegalStateException ise)
  {
    excMsg =  "Error: UserInternationalization is not available:\n" + ise;
	request.setAttribute("excMsg", excMsg);
    RequestDispatcher rd =
            getServletContext().getRequestDispatcher("/error.jsp");
    rd.forward(request, response);
    return;

    //throw new ServletException ("Error: UserInternationalization is not available: " + ise);
  }

  //------------------------------------------------------------
  // INTERNATIONALIZATION SERVICE: Get Invocation context/locale
  //------------------------------------------------------------
  try
  {
    locale = invI18n.getLocale(); 
  }
  catch (IllegalStateException ise)
  {
    excMsg =  "An anomaly occurred while accessing Invocation context:\n" + ise;
	request.setAttribute("excMsg", excMsg);
    RequestDispatcher rd =
            getServletContext().getRequestDispatcher("/error.jsp");
    rd.forward(request, response);
    return;

    //throw new ServletException ("An anomaly occurred while accessing Invocation context: " + ise );
  }

  // If the locale is not supported in this application, set it to US locale by default
  if(!AccInfoJBean.isMyLocale(locale))
    locale = new Locale("en", "US");

  // NOTE: Browsers may propagate accept-languages that contain a language code, 
  // but lack a country code, like "fr" to indicate "French as spoken in France."  
  // The following code supplies a default country code in such cases.
  if (locale.getCountry().equals(""))
    locale = AccInfoJBean.getCompleteLocale(locale);
   
  String usAmtStr = (String) request.getAttribute("usAmt");
  String excAmtStr = (String) request.getAttribute("excAmt");
  String excType = (String) request.getAttribute("type");
  String currencyName = (String) request.getAttribute("currency");
  double usAmt = Double.parseDouble(usAmtStr);
  double excAmt = Double.parseDouble(excAmtStr);
  
  // Use locale to format exchange amount
  NumberFormat nf = NumberFormat.getInstance(locale);
  // Use locale to set resource bundle
  Resources.setResourceBundle(locale);

  // Localizable text.
  String[] localizeStr = {
    "TITLE3",    //localizeStr[0]
    "TITLE",     //localizeStr[1]
	"STATUS",    //localizeStr[2]
	"UPDATED",   //localizeStr[3]
    "NAME",      //localizeStr[4]
    "ACCOUNT",   //localizeStr[5]
    "BALANCE",   //localizeStr[6]
    "ECHO",      //localizeStr[7]
    "MSG11",     //localizeStr[8]
    "MSG13"};    //localizeStr[9]
	    

  // Message keys passed to resource bundle
  String[] MSGKEYS = {
    "TITLE3",
    "TITLE",
	"STATUS",
    "UPDATED",
    "NAME",
    "ACCOUNT",
    "BALANCE",
    "ECHO",
    "MSG11",
    "MSG13"}; 
    
  localizeStr = Resources.getMsgs(MSGKEYS);
  NumberFormat f = NumberFormat.getNumberInstance();
  f.setMaximumFractionDigits(2); 
 %>

<HEAD>
  <TITLE><%=localizeStr[0] %></TITLE>
</HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html;charset=UTF-8">
<body>
  <img src="banner.jpg" valign="top"  alt="banner image">
  <H2><font color="blue"><%=localizeStr[1] %></font></H2>
  <HR>
  <%-- The AccInfoJBean is passed in the request. --%>
  <jsp:useBean id="customerInfo" class="com.ibm.websphere.samples.i18nctx.currencyexchangelibrary.CustomerJBean" scope="request" />
  <I><B><%=localizeStr[2] %></I><BR>
  <br>
  <%=localizeStr[3] %></B> <br>
  <br>
  <TABLE border=3 cellpadding =2 cellspacing =0>
    <TBODY>
    <TR>
      <TH align="left"><%=localizeStr[4] %></TD>
      <TD><%= customerInfo.getName()  %></TD>
    </TR>
    <TR>
      <TH align="left"><%=localizeStr[5] %></TH>
      <TD><%= customerInfo.getAccount() %></TD>
    </TR>
    <TR>
      <TH align="left"><%=localizeStr[6] %></TH>
      <TD>$<%= f.format(customerInfo.getBalance()) %></TD>
    </TR>
    </TBODY>
  </TABLE>
  <br>
  <font color=blue>
  <%
   String [] runTimeArgs = null;
   runTimeArgs = new String[4];
   if(excType.equals("withdraw")) {
     runTimeArgs[0] = nf.format(usAmt);
	 runTimeArgs[1] = Resources.getMsg("USD");
     runTimeArgs[2] = nf.format(excAmt);
     runTimeArgs[3] = currencyName;
   }
   
   if(excType.equals("deposit")) {
     runTimeArgs[0] = nf.format(excAmt);
	 runTimeArgs[1] = currencyName;
     runTimeArgs[2] = nf.format(usAmt);
     runTimeArgs[3] = Resources.getMsg("USD");
   } 

   Object[] arguments = {runTimeArgs[0], runTimeArgs[1], runTimeArgs[2], runTimeArgs[3]};
   MessageFormat form = new MessageFormat(localizeStr[7]);      
   out.println(form.format(arguments));

   %></font> 

 <BR><BR>
 <form method="post" action="/i18nctxSample/CurrencyServlet">
  <input name = "command" type = "hidden" value = "anotherExc">
  <input type="submit" value="<%=localizeStr[8] %>">
 </form>
<BR>
<B><A href="login.jsp"><%=localizeStr[9] %></A> <br>

</BODY>
</HTML>