<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%--
//-----------------------------------------------------------------------------------
// "This program may be used, executed, copied, modified and distributed without 
// royalty for the purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//-----------------------------------------------------------------------------------
--%>

<%@ page import="java.text.*" %>
<%@ page import="java.util.*" %>
<%@ page import="javax.naming.*" %>

<HTML>
<script language="JavaScript" src="/WSsamples/scripts/browserStyle.js"></script>

<%--
 INTERNATIONALIZATION SERVICE: Imports.
--%>
<%@ page import="com.ibm.websphere.i18n.context.UserInternationalization" %>
<%@ page import="com.ibm.websphere.i18n.context.Internationalization" %>
<%@ page import="com.ibm.websphere.i18n.context.InvocationInternationalization" %>

<%@ page import="com.ibm.websphere.samples.i18nctx.currencyexchangelibrary.AccInfoJBean" %>
<%@ page import="com.ibm.websphere.samples.i18nctx.currencyexchangelibrary.Resources" %>

<%@ page contentType="text/html;charset=UTF-8" %>

<%
  //------------------------------------------------------------
  // INTERNATIONALIZATION SERVICE: API references.
  //------------------------------------------------------------
  UserInternationalization userI18n = null;
  InvocationInternationalization invI18n = null;
  //Internationalization     i18n     = null;

  Locale locale;

  //------------------------------------------------------------
  // INTERNATIONALIZATION SERVICE: JNDI name
  //------------------------------------------------------------
  String i18nURL = "java:comp/websphere/UserInternationalization";
	
  //Exception message for resolving I18n API
  String excMsg = null;
		
  //------------------------------------------------------------
  // INTERNATIONALIZATION SERVICE: Resolve the API.
  //------------------------------------------------------------
  try
  {
    Context initialContext = new InitialContext();
    userI18n = (UserInternationalization)initialContext.lookup(i18nURL);
    //i18n = userI18n.getCallerInternationalization();   
    invI18n = userI18n.getInvocationInternationalization();
  }
  catch (NamingException ne)
  {
    excMsg = "Error: Cannot resolve UserInternationalization: Exception:\n" + ne;
	request.setAttribute("excMsg", excMsg);
    RequestDispatcher rd =
            getServletContext().getRequestDispatcher("/error.jsp");
    rd.forward(request, response);
    return;

    //throw new ServletException ("Error: Cannot resolve UserInternationalization: Exception: " + ne);
  }
  catch (IllegalStateException ise)
  {
    excMsg =  "Error: UserInternationalization is not available:\n" + ise;
	request.setAttribute("excMsg", excMsg);
    RequestDispatcher rd =
            getServletContext().getRequestDispatcher("/error.jsp");
    rd.forward(request, response);
    return;

    //throw new ServletException ("Error: UserInternationalization is not available: " + ise);
  }

  //------------------------------------------------------------
  // INTERNATIONALIZATION SERVICE: Get Invocation context/locale
  //------------------------------------------------------------
  try
  {
    locale = invI18n.getLocale(); 
  }
  catch (IllegalStateException ise)
  {
    excMsg =  "An anomaly occurred while accessing Invocation context:\n" + ise;
	request.setAttribute("excMsg", excMsg);
    RequestDispatcher rd =
            getServletContext().getRequestDispatcher("/error.jsp");
    rd.forward(request, response);
    return;

    //throw new ServletException ("An anomaly occurred while accessing Invocation context: " + ise );
  }

  //If the locale is not supported in this application, set it to US locale by default
  String msg = null;
  if(!AccInfoJBean.isMyLocale(locale))
  {
    msg = "The locale [" + locale + "] is not supported in this sample."
       +"\nPlease configure the language setting of your browser to one of the following:"
	   +"\n en_GB, ja_JA, ko_KO, zh_CN, pt_BR, de_DE, fr_FR, it_IT.";
   	locale = new Locale("en", "US");
 
  }
  
  // NOTE: Browsers may propagate accept-languages that contain a language code, 
  // but lack a country code, like "fr" to indicate "French as spoken in France."  
  // The following code supplies a default country code in such cases.
  if (locale.getCountry().equals(""))
    locale = AccInfoJBean.getCompleteLocale(locale);
  
  // Determine which language (URL) to display for Internationalization Service documentation 
  String languageURL = locale.getLanguage();

  // Use locale to set resource bundle     
  Resources.setResourceBundle(locale);
  //localize text
  String[] localizeStr = {
    "ACCOUNT",
    "PASSWORD",
    "LOGIN",
    "RESET",
    "TITLE",
    "TITLE1",
	"PROMPT4"};

  // Message keys passed to resource bundle
  String[] MSGKEYS = {
    "ACCOUNT",
    "PASSWORD",
    "LOGIN",
    "RESET",
    "TITLE",
    "TITLE1",
	"PROMPT4"};
        
  localizeStr = Resources.getMsgs(MSGKEYS);
   %>

<HEAD>
  <TITLE><%=localizeStr[5] %></TITLE>
</HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html;charset=UTF-8">
<body>
   <img src="banner.jpg" valign="top"  alt="banner image">

  <H2><font color="blue"><%=localizeStr[4] %></font></H2> 

  <HR>
  <font color="red"><% if(null!=msg)  out.println(msg); %></font>
  <p>
  <%=localizeStr[6] %>
  </p>
  <br>

  <form method="post" action="/i18nctxSample/CurrencyServlet">
    <input name = "command" type = "hidden" value = "login">

    <table border=0 cellpadding=2 cellspacing=5>
      <tr>
        <th align="left"><LABEL for="account"><%=localizeStr[0] %></LABEL>&nbsp;</th>
        <td>
          <input name="account" id="account" size=12 maxlength=20>
        </td>
      </tr>

      <tr>
        <th align="left"><LABEL for="password"><%=localizeStr[1] %></LABEL>&nbsp;</th>
        <td>
          <input name="password" id="password" type="password" size=12 maxlength=20>
        </td>
      <tr>
        <td>&nbsp;</td>
        <td>
          <input type="submit" value="<%=localizeStr[2] %>">
          &nbsp;
          <input type="reset" VALUE ="<%=localizeStr[3] %>" >
        </td>
      </tr>
    </table>
  </form>
</P>

</BODY>
</HTML>
