//-----------------------------------------------------------------------------------
// "This program may be used, executed, copied, modified and distributed without 
// royalty for the purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//-----------------------------------------------------------------------------------

package com.ibm.websphere.samples.i18nctx.currencyexchangeejb;
 
/**
 * This is a Local Home interface for the Entity Bean
 */
public interface LocalCustomerHome extends javax.ejb.EJBLocalHome {
    /*
     * no create method needed for this sample
    LocalCustomer create (String account, String name, String password, double balance) throws javax.ejb.CreateException;
     */

    /**
     * find a customer in DB by primary key (account)
     * @return com.ibm.websphere.samples.i18nctx.currencyexchangeejb.LocalCustomer
     * @param account java.lang.String 
     * @exception javax.ejb.FinderException 
     */
    LocalCustomer findByPrimaryKey (java.lang.String account) throws javax.ejb.FinderException;
 
    /**
     * find a customer in DB by principal (account & password)
     * @return com.ibm.websphere.samples.i18nctx.currencyexchangeejb.LocalCustomer
     * @param account java.lang.String
     * @param password java.lang.String 
     * @exception javax.ejb.FinderException 
     */ 
    LocalCustomer findByPrincipal (String account, String password) throws javax.ejb.FinderException;
}
