//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.ejbquery.employeefinderejb;

import java.io.*;

/**
 * The Primary Key Class for the CMP Emp entity bean.
 **/

public class EmpKey implements Serializable {

   // Attributes of a Emp Primary Key.

/**
 * The empid attribute for Emp Primary Key.
 * Implemetation field for persistent attribute: id
 */
   public Integer empid;

/**
 * Default constructor for Emp Primary Key.
 */
	public EmpKey() {	}

/**
 * Constructor for Emp Primary Key specified by deptno.
 * @param empid java.lang.Integer
 */
	public EmpKey(Integer empid) {
		this.empid = empid;
	}


/**
 * This equality method determines if the Object passed in matches this
 * Primary Key.
 * @return boolean Object representing the equality of the passed object.
 * @return boolean
 */
	public boolean equals(java.lang.Object otherKey) {
		if (otherKey instanceof EmpKey) {
			EmpKey o = (EmpKey)otherKey;
			return this.empid.equals(o.empid);
		}
		return false;
	}
/**
 * This method returns the hash code of a Primary Key.
 * @return int Object representing the hash code of this Primary Key.
 */
	public int hashCode() {
 // This assumes that the key can not be null...
		return (empid.hashCode());
	}

}
