//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.scheduler.accountreportejb;

import java.rmi.RemoteException;

import javax.ejb.CreateException;
import javax.ejb.EJBHome;

/**
 * Home interface for the TaskCreator session bean
 * 
 * @see com.ibm.websphere.samples.scheduler.accountreportejb.TaskCreatorBean
 * @see com.ibm.websphere.samples.scheduler.accountreportejb.TaskCreator
 */
public interface TaskCreatorHome extends EJBHome
{
    /**
     * Creates an instance of the session bean.
     * 
     * @return The instance.
     * @exception RemoteException
     *                   If a communication failure occurs
     * @exception CreateException
     */
    public TaskCreator create() throws RemoteException,CreateException;    
}
