<!-- 
"This sample program is provided AS IS and may be used, executed, copied and modified without royalty payment by customer (a) for its own 
instruction and study, (b) in order to develop applications designed to run with an IBM WebSphere product, either for customer's own internal use 
or for redistribution by customer, as part of such an application, in customer's own products."

Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2004
All Rights Reserved * Licensed Materials - Property of IBM
-->


<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ page 
language="java"
contentType="text/html; charset=UTF-8"
pageEncoding="ISO-8859-1"
%>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

<jsp:include page="AlbumCatalog.jsp"/>

<hr>

<h3> Commit Albums </h3><br>

<!-- the partially populated Album DataObject to populate -->
<c:set var="newAlbumDO" value="${bandRootDO.ALBUM[indexOfAlbumToAdd]}" scope="page"/>

<!-- the set JSTL tags below are the equivlaent of calling set(property, value) on the DataObjects in java code -->
<c:set target="${newAlbumDO}" property="ALBUMNAME" value="${param.newAlbumName}"/>
<c:set target="${newAlbumDO}" property="ALBUMYEAR" value="${param.newAlbumYear}"/>
<c:set target="${newAlbumDO}" property="RECOMMENDEDTRACKS" value="${param.newAlbumTracks}"/>

<TABLE>

	<COLGROUP>
		<COL WIDTH="100">
		<COL WIDTH="100">
		<COL WIDTH="100">
		<COL WIDTH="100">
		<COL WIDTH="300">			
	</COLGROUP>
	<TBODY>
			<TR>
				<TH>Band Name</TH>
				<TH>Album Name</TH>						
				<TH>Album Year</TH>	
				<TH>Recommended Tracks </TH>					
			</TR>
	
			<c:forEach items="${newAlbumIndexes}" var="newAlbumIndex" varStatus="albumCount">
				<TR>
					<TD> <FONT color="Blue"> <c:out value="${bandRootDO.ALBUM[newAlbumIndex].BANDNAME}"/>  </FONT></TD>
					<TD> <FONT color="Blue"> <c:out value="${bandRootDO.ALBUM[newAlbumIndex].ALBUMNAME}"/> </FONT> </TD>
					<TD> <FONT color="Blue"> <c:out value="${bandRootDO.ALBUM[newAlbumIndex].ALBUMYEAR}"/> </FONT> </TD>
					<TD> <FONT color="Blue"> <c:out value='${bandRootDO.ALBUM[newAlbumIndex].RECOMMENDEDTRACKS}'/> </FONT> </TD>
				</TR>			
			</c:forEach>
	</TBODY>
</TABLE>
<br>
<FORM METHOD="GET" ACTION="/AlbumCatalogWeb/AlbumCatalogServlet">
	<INPUT type="SUBMIT" name="operation" style="width=110" value="Commit Albums"/>
	<INPUT type="SUBMIT" name="operation" style="width=130" maxlength="2" value="Add Another Album"/>
	
</FORM>		


