<!-- 
"This sample program is provided AS IS and may be used, executed, copied and modified without royalty payment by customer (a) for its own 
instruction and study, (b) in order to develop applications designed to run with an IBM WebSphere product, either for customer's own internal use 
or for redistribution by customer, as part of such an application, in customer's own products."

Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2004
All Rights Reserved * Licensed Materials - Property of IBM
-->


<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ page 
language="java"
contentType="text/html; charset=UTF-8"
pageEncoding="ISO-8859-1"
%>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<script>
function verifyBandCheckBoxes(BandsForm)
{   
	if(BandsForm.operation.value=="Delete Bands")
	{
		var len = BandsForm.elements.length;	
		for( i=0 ; i < len ; i++) 
		{		
			if((BandsForm.elements[i].name == "bandIndexToDelete") && (BandsForm.elements[i].checked)) 
			{		
				return true;
			}
	    }
		
		alert("Please select at least one band to delete");
		return false;
	}
    
}

</script>
<jsp:include page="AlbumCatalog.jsp"/>

<c:out value="${message}" escapeXml="false"/>

<!-- note that the EL expression "bandRootDO.BAND" below is the equivalent of calling "get("BAND")" on the root DataObject that is stored in the 
HTTP session. This call returns a list of all DataObjects from the BAND table in the Datagraph. 
Also note that DataObjects returned from the JDBC Mediator implement the java.util.Map interface, which makes them EL friendly. -->										
<c:choose>	
	<c:when test="${empty bandRootDO.BAND}">
		<c:if test="${lastOp == 'Find Bands'}">
			<FONT color="RED"> No Bands found </FONT>
		</c:if>
	</c:when>
	<c:otherwise>
		<hr>		
		  <h3> Bands: </h3> <br>		
		  <FORM name="BandsForm" METHOD="GET" ACTION="/AlbumCatalogWeb/AlbumCatalogServlet" onsubmit="return verifyBandCheckBoxes(this);">

			<INPUT type="hidden" name="selectedBandIndex"/>	

			<TABLE>
	
				<COLGROUP>
					<COL WIDTH="10">
					<COL WIDTH="100">
					<COL WIDTH="100">
				</COLGROUP>
				<TBODY>
					<TR>
						<TH>Delete</TH>
						<TH>Band Name</TH>
						<TH>Band Genre</TH>
						<TH>Albums</TH>						
						<TH>Add Albums</TH>						
					</TR>
				
				<!-- The DataObject variable "bandDataObject"  defined in the loop below, represents a row in the BAND table -->
				<c:forEach items="${bandRootDO.BAND}" var="bandDataObject" varStatus="bandCount">
					<TR>
						<TD> 							
							<INPUT type="checkbox" name="bandIndexToDelete" value="<c:out value='${bandCount.index}'/>"/> 
						</TD>
						
						<TD> 
							<!-- a field of a row is accessed by getting the column name property from the DataObject-->
							<c:out value="${bandDataObject.NAME}"/> 
						</TD>
						
						<TD> 
							<c:out value="${bandDataObject.GENRE}"/> 
						</TD>
						
						<TD>
							<!-- related DataObjects are accessed with the relationship name property defined in the Metadata (look at AlbumCatalogMetada.java); in this case it is "BAND_ALBUM" -->
							<c:choose>
								<c:when test="${empty bandDataObject.BAND_ALBUM}">
									No Albums Found
								</c:when>
								<c:otherwise>									
									<INPUT TYPE="SUBMIT" name="operation" style="width=100" value="View Albums" onClick='BandsForm.selectedBandIndex.value="<c:out value='${bandCount.index}'/>";return true'> 
								</c:otherwise>
							</c:choose>
						</TD>		 
						<TD> 
							<INPUT TYPE="SUBMIT" name="operation" style="width=90" value="Add Albums" onClick='BandsForm.selectedBandIndex.value="<c:out value='${bandCount.index}'/>";return true'> 
						</TD>
							
					</TR>
				</c:forEach>		

				</TBODY>
	
			</TABLE>			
			<BR>			

		<INPUT type="Submit" name="operation" style="width=120" value="Delete Bands" onClick='BandsForm.operation.value="Delete Bands";return true'/> 

		</FORM>
	</c:otherwise>
	
</c:choose>

